# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'client_pages/version'

Gem::Specification.new do |s|
  s.name          = 'client_pages'
  s.version       = ClientPages::VERSION
  s.authors       = ['Marco Schaden']
  s.email         = ['ms@donschado.de']
  s.summary       = %q{With client_pages you can separate your content from html markup and css styles}
  s.description   = <<-EOF
    With client_pages you can separate your content from html markup and css styles.
    use it for small content parts of your app which need to be updated regulary by someone
    or outsource all your content together, it's up to you.
  EOF
  s.homepage      = ''
  s.license       = 'MIT'

  s.files         = `git ls-files`.split($/) - Dir['examples/**/*'] - %w(.gitignore)
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})
  s.require_paths = ['lib']

  s.add_dependency 'redcarpet', '~> 3.1.1'

  s.add_development_dependency 'bundler', '~> 1.5.3'
  s.add_development_dependency 'rake', '~> 10.1.1'
  s.add_development_dependency 'rspec', '~> 2.14.1'
  s.add_development_dependency 'webmock', '~> 1.17.4'
  s.add_development_dependency 'pry-plus', '~> 1.0.0'
  s.add_development_dependency 'rubocop', '~> 0.18.1'
  s.add_development_dependency 'flog', '~> 4.2.0'
  s.add_development_dependency 'simplecov', '~> 0.8.2'
end
