require 'spec_helper'

module ClientPages
  describe Template do
    subject { described_class }

    describe '#template' do
      before do
        subject.template(:foo) { |args| 'foobar' + args }
      end

      it 'saves a referenceable block with arguments' do
        expect(subject.templates[:foo].call('bam')).to eql('foobarbam')
      end
    end

    context 'in a templating block' do
      before do
        subject.templating do
          template(:bar) { '42' }
          template(:baz) { 'yay' }
        end
      end

      it { expect(subject[:bar].call).to eql('42') }
      it { expect(subject[:baz].call).to eql('yay') }
    end
  end
end
